# Class WSDLException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.jmeter.protocol.http.util.WSDLException

All Implemented Interfaces:
  `Serializable`

public class WSDLException extends Exception
Created on: Jun 3, 2003

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WSDLException()`
`WSDLException(Exception exception)`
`WSDLException(String message)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WSDLException

public WSDLException()

### WSDLException

public WSDLException(String message)

Parameters:
  `message` - detailed error message to include in exception

### WSDLException

public WSDLException(Exception exception)

Parameters:
  `exception` - exception to extract the detailed message from and include that message as detailed message in this exception